Bug 222191 - Merge Review: eclipse - An open, extensible IDE
Merge Review: eclipse - An open, extensible IDE
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-10 15:14 EST by Ben Konrath
Modified: 2015-02-12 04:18 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-12 04:18:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rplmint output (18.78 KB, text/plain)
2013-01-12 17:27 EST, Andrey
no flags Details

  None (edit)
Description Ben Konrath 2007-01-10 15:14:18 EST
I'd like to get the eclipse spec file reviewed in preparation for the core and extras merge. I won't be able to commit this to the extras repository because java-gcj-compat uses the eclipse-ecj sub-package but I would still like to go through the process.

Spec URL:

http://people.redhat.com/bkonrath/eclipse/eclipse.spec

SRPM URL:

http://people.redhat.com/bkonrath/eclipse/eclipse-3.2.1-28.fc7.src.rpm

Note that this spec file is already in Fedora cvs and I will be committing changes as I go through this review process.

Description:

The Eclipse Platform is designed for building integrated development
environments (IDEs) that can be used to create applications as diverse
as web sites, embedded Java(tm) programs, C++ programs, and Enterprise
JavaBeans(tm).
Comment 1 Andrew Overholt 2007-01-10 15:17:26 EST
I wonder if it would be a conflict of interest if I took this one?  Probably not.
Comment 2 Dennis Gilmore 2007-01-10 15:19:10 EST
only if you dont give it a fair review 
Comment 3 Andrew Overholt 2007-01-10 15:20:28 EST
I'll give it a fair review.  So I guess I can take this one.  I'm intimately
familiar with the spec so it'll probably be easier for me.
Comment 4 Ben Konrath 2007-01-12 17:19:08 EST
Updated files are located here:

http://www.bagu.org/eclipse/eclipse.spec
http://www.bagu.org/eclipse/eclipse-3.2.1-30.fc7.src.rpm
Comment 5 Kevin Fenzi 2007-01-23 22:58:39 EST
Hey Andrew... if you are reviewing this I assume it should be blocking FE-
REVIEW instead of FE-NEW. I am going to change it to do so. If I am in error, 
feel free to change it back. 
Comment 6 Andrew Overholt 2007-01-23 23:57:16 EST
You are correct about the blocker but Tom's actually going to review it.  I've
re-assigned to him.  Thanks.
Comment 7 Ben Konrath 2007-06-07 00:05:07 EDT
The files referenced in comment #0 are out of date. Please let me know when
somebody is ready to do the review so that I can post updated files. Thanks, Ben
Comment 8 Jason Tibbitts 2008-01-19 20:22:04 EST
According to the assignment, Thomas is up for this review.  But he hasn't made
any comments in this ticket, so I'm not really sure what's up.
Comment 9 Andrew Overholt 2008-02-07 17:21:42 EST
I can't speak for Tom, but I'd bet he's completely forgotten about this.  If
someone else can review, I'll work with them on changes as necessary.
Comment 10 Andrey 2009-08-23 06:48:18 EDT
Is this bug still actual ?
Comment 11 Peter Lemenkov 2009-08-23 06:52:08 EDT
(In reply to comment #10)
> Is this bug still actual ?  

Definitely, it is. Nobody made full review so far.
Comment 12 Andrey 2009-08-23 07:49:08 EDT
(In reply to comment #11)

> Definitely, it is. Nobody made full review so far.  

Right now we have F11/Eclipse 3.4.2, initial request was for F7/Eclipse 3.2.1. And I can't see spec file actual for today given somewhere in comments. Link to spec file on comment #4 is dead.

So I still wonder...
Comment 13 Michel Alexandre Salim 2009-08-23 14:23:40 EDT
It should perhaps be renamed Merge Review, not Review Request anymore.
Comment 15 Alexander Kurtakov 2010-08-24 08:20:23 EDT
what is going on here?
But is assigned to rruss but fedora-review ? flad is set by tibbs.
If there is no response I'll remove both the assigned and fedora-review flag so someone can take the bug and do the review.
Comment 16 Andrew Overholt 2010-08-24 18:26:25 EDT
This is assigned to Rodney because it was assigned to Lillian and he was her manager when she left Red Hat.  I think it can safely be re-assigned and I'll do so now.
Comment 17 Alexander Kurtakov 2010-11-19 09:36:38 EST
Reset to new.
Comment 18 Andrey 2013-01-03 04:53:49 EST
This bug is definitely not actual: Core and Extras have been merged thousands of years ago, Eclipse is a part of the default Fedora repo. Why should this bug still be open ?
Comment 19 Matěj Cepl 2013-01-03 14:35:57 EST
(In reply to comment #18)
> This bug is definitely not actual: Core and Extras have been merged
> thousands of years ago, Eclipse is a part of the default Fedora repo. Why
> should this bug still be open ?

Because nobody ever made that review. This is merge review from times of merging Fedora Core and Fedora Extras (that’s Fedora 7) which nobody ever finished. Do you volunteer to do it?
Comment 20 Andrey 2013-01-03 18:13:36 EST
I spoke with Mathieu Bridon (bochecha) on QA IRC channel today. It seems I am not a proper person to perform the review as I have no rights to approve the spec neither am I skilled enough for such a complicated package.

We agreed, however, that I will do the 'technical' review - check if all formal 'must-have's are in place and will put it here. Afterwards it will be easier for a real reviewer to finalize the review.
Comment 21 Matěj Cepl 2013-01-03 19:44:58 EST
(In reply to comment #20)
> I spoke with Mathieu Bridon (bochecha) on QA IRC channel today. It seems I
> am not a proper person to perform the review as I have no rights to approve
> the spec neither am I skilled enough for such a complicated package.
> 
> We agreed, however, that I will do the 'technical' review - check if all
> formal 'must-have's are in place and will put it here. Afterwards it will be
> easier for a real reviewer to finalize the review.

Right, anybody who can write a comment to bugzilla, can create a review. Even if it is not binding, it will greatly help somebody who has the rights (me, for example) to just run through the review, check it, and make the review swiftly and with less effort spent. Also, it greatly counts towards you abilities (and qualification to be packager with proper rights).
Comment 22 Alexander Kurtakov 2013-01-04 04:00:57 EST
As the maintainer I would be really thankfull if someone does the review. We always wanted to finalize it but it was just not right someone of the current maintainers to do it.
Comment 23 Andrey 2013-01-04 04:13:33 EST
@Alexander Kurtakov: will you please attach actual spec and SPRM to this bug ? Just to follow the formalities of the Review process: https://fedoraproject.org/wiki/Package_Review_Process#Contributor
Comment 24 Alexander Kurtakov 2013-01-04 04:17:58 EST
Andrey, this is not the procedure for merge reviews. See https://fedoraproject.org/wiki/Merge_Reviews (Citation: You should be able to review the package against the current HEAD revision in rawhide git. You can use the current rawhide package to check against. )
The justification behind that is that packages already in fedora are updated while the review is going so no static spec/srpm can be attached.
Comment 25 Alexander Kurtakov 2013-01-04 04:19:28 EST
To make it easier:
* Link to git repo http://pkgs.fedoraproject.org/cgit/eclipse.git/ - contains all patches and spec
* Link to koji page http://koji.fedoraproject.org/koji/packageinfo?packageID=183 - contains all builds of eclipse
Comment 26 Andrey 2013-01-12 17:27:22 EST
Created attachment 677579 [details]
rplmint output

rpmlint output attached. Small summary of findings is below. I suggest biggest portion of those should be ignored due to specifics of java packages, but I am at the moment just making a summary for further, more experienced reviewers (some warnings can be really important).

0. eclipse-src
0.1. invalid-url (2 times)

1. eclipse-swt.i686
1.1. unstripped-binary-or-object (6 times)
1.2. no-documentation
1.3. hidden-file-or-dir (3 times)

2. eclipse-equinox-osgi.i686
2.1. only-non-binary-in-usr-lib
2.2. no-documentation

3. eclipse-platform.i686
3.1. unstripped-binary-or-object (2 times)
3.2. non-etc-or-var-file-marked-as-conffile
3.3. conffile-without-noreplace-flag (2 times)
3.4. no-documentation
3.5. dangling-symlink (65 times)
3.6. hidden-file-or-dir (13 times)
3.7. incorrect-fsf-address (6 times)
3.8. non-conffile-in-etc
3.9. zero-length
3.10 no-manual-page-for-binary

4. eclipse-jdt
4.1. only-non-binary-in-usr-lib
4.2. no-documentation
4.3. hidden-file-or-dir
4.4. dangling-symlink (3 times)
4.5. dangling-relative-symlink
4.6. no-manual-page-for-binary
4.7. dangerous-command-in-%pre

5. eclipse-pde
5.1. only-non-binary-in-usr-lib
5.2. no-documentation
5.3. dangling-symlink (2 times)
5.4. hidden-file-or-dir
5.5. no-manual-page-for-binary
5.6. invalid-url

6. eclipse-tests
6.1. no-documentation
6.2. script-without-shebang (2 times)
6.3. dangling-symlink
6.4. no-manual-page-for-binary
Comment 27 Cole Robinson 2015-02-11 15:35:26 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 28 Alexander Kurtakov 2015-02-12 04:18:05 EST
Eclipse package is going through heavy inspection by current maintainers for every major release (once per year) and there was no interest from anybody stepping up to do official review - thus closing.

Note You need to log in before you can comment on or make changes to this bug.